<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ProgressStep Method (IEdmGetOpCallback)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmGetOpCallback Interface : ProgressStep Method (IEdmGetOpCallback)

Visual Basic
C#
C++/CLI

eType
  Type of progress bar as defined in EdmProgressType

bsMessage
  Full path to the processed file

lProgressPos
  New position of the progress bar pointer

Updates the progress bar.

# Syntax

Visual Basic |
--- | ---

    Function ProgressStep( _
       ByVal eType As EdmProgressType, _
       ByVal bsMessage As System.String, _
       ByVal lProgressPos As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool ProgressStep(
       EdmProgressType eType,
       System.string bsMessage,
       System.int lProgressPos
    )

C++/CLI |
--- | ---

    System.bool ProgressStep(
    &   EdmProgressType eType,
    &   System.String^ bsMessage,
    &   System.int lProgressPos
    )

#### Parameters

eType
  Type of progress bar as defined in EdmProgressType
bsMessage
  Full path to the processed file
lProgressPos
  New position of the progress bar pointer

#### Return Value

True to continue, false to cancel the operation

# Remarks

This method is called periodically by SOLIDWORKS PDM Professional during the operation. IEdmGetOpCallback::ProgressBegin is called before this method is called. Implement this method to update a progress bar and to implement a button that, when clicked, halts the operation.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmGetOpCallback Interface
IEdmGetOpCallback Members

# Availability

SOLIDWORKS PDM Professional Version 6.3